:root {
  --first-color: #5c6e90;
  --second-color: #d5c2bd;
  --three-color: #9595b3;
  --four-color: #faf7f5;
  --white-color: #fff;
  --gray-color: #ccc;
  --gray-dark-color: #666;
  --black-color: #000;
  --link-color: #f35e2c;
  --title-color: #333;
  --text-color: #000000;
  --red: #bd0707;
  --green: #71b100;
  --blue: #05408e;
  --dark-blue: #022451;  
  --color-scroll:rgb(192,192,192);
  --color-scroll-hover:rgb(134,134,134);
  --font: "League Spartan", sans-serif;
  --max-width: 120rem;
}

/***** Espacio de Reseteo *****/
/*** Codigo para el box model***/
html {
  box-sizing: border-box;
  /* font-family: var(--font); */
  font-size: 17px;
  scroll-behavior: smooth;
  overflow-x: hidden; /*Oculta el scroll cuando se desvorda un contenido */
}

*,
*::after,
*::before {
  margin: 0;
  padding: 0;
}

body {
  font-family: var(--font);
  visibility: hidden;
  overflow-x: hidden; /*Oculta el scroll cuando se desvorda un contenido */
  color: var(--text-color);
  font-size: 19px;
  line-height: 1.8;
  height: 100vh;
  width: 100%;
}

ul,
li {
  padding: 0;
}

/***Configuramos los titulos ***/
h1 {
  font-size: 2.7rem;
}
h2 {
  font-size: 2.4rem;
}
h3 {
  font-size: 2.2rem;
}

h1,
h2,
h3 {
  text-align: center;
  margin: 0;
}

a {
  text-decoration: none;
  color: var(--black-color);
}

.contenedor {
  width: 100%;
  /* min-height: 100vh; */
  /* background-color: red; */
}

/** darle espacio al contenido ***/
.contenido {
  margin-left: 286px;
  padding: 20px;
  transition: margin-left 0.5s ease;
}

.contenido-index {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

/**** estatus *****/
.activo{
  background-color: var(--green);
  color: var(--white-color);
  font-weight: 600;
}

.inactivo{
  background-color: var(--red);
  color: var(--white-color);
  font-weight: 600;
}

.cubierto{
  background-color: var(--blue);
  color: var(--white-color);
  font-weight: 600;
}

.garantia{
  background-color: var(--link-color);
  color: var(--white-color);
  font-weight: 600;
}

.pausado{
  background-color: var(--gray-dark-color);
  color: var(--white-color);
  font-weight: 600;
}


/***** botones *****/
.boton{
  font-size: 13px;
  padding: 5px;
  margin: 2px 0;
  border-radius: 0.2rem;
  border: 1px solid var(--white-color);
  color: var(--white-color);
}

.boton.boton-edit{
  background-color: var(--gray-dark-color);
}

.boton.boton-baja{
  background-color: var(--red);
}

.boton.boton-ver{
  background-color: var(--green);
}

.boton.boton-asignar{
  background-color: var(--blue);
}

.boton.boton-edit:hover{
  color: var(--black-color);
  border: 1px solid var(--gray-color);
}

.boton.boton-baja:hover{
  color: var(--black-color);
  border: 1px solid var(--red);
}

.boton.boton-ver:hover{
  color: var(--black-color);
  border: 1px solid var(--green);
}

.boton.boton-asignar:hover{
  color: var(--black-color);
  border: 1px solid var(--blue);
}

.boton[disabled] {
  cursor: not-allowed;
  opacity: 0.5;
  pointer-events: none;
}

/******* boton de agregar *******/
.contenedor-agregar{
  width: 75%;
  display: flex;
  justify-content: end;
  margin-bottom: 1.5rem;
  margin-top: 0.5rem;
  gap: 1rem;
}

.btn-gral{
  font-size: 1rem;
  padding: 5px 10px;
  margin: 0;
  border-radius: 8px;
  color: var(--white-color);
}

.contenedor-agregar .boton-agregar{
  background-color: var(--green);
  border: 1px solid var(--green);
}

.contenedor-agregar .boton-ver{
  background-color: var(--link-color);
  border: 1px solid var(--link-color);
}
.contenedor-agregar .boton-agregar:hover{
  color: var(--black-color);
  border: 1px solid var(--black-color);
}

.boton-ver:hover{
  color: var(--black-color);
  border: 1px solid var(--black-color);
}



/*** estilo de formulario ****/
.contenedor-form{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border: 1px solid var(--black-color);
  border-radius: 1rem;
  min-width: 60%;
  height: auto;
  margin-top: 2rem;
  box-shadow: 5px 5px 18px #515151;
}

.contenedor-form .formulario{
  width: 80%;
  min-height: 60vh;
  display: flex;
  padding: 2rem 0;
  flex-direction: column;
  justify-content: center;
}

.formulario .contenedor-input{
  display: grid;
  gap: 1.5rem;
  grid-template-columns: 1fr 1fr;
}

.formulario label{
  font-size: 1.3rem;
  margin-top:  3px;
  margin-bottom: 1.5rem;
  display: block;
}

.formulario input:not([type="submit"]),
.formulario select{
  width: 100%;
  margin: 0;
  padding:0.5rem;
  margin-bottom: 1.5rem;
  border: 1px solid var(--black-color);
  border-radius: 0.5rem;
}

.formulario textarea{
  height: 10rem;
  padding: 10px;
}

.contenedor-oculto label,
.contenedor-oculto textarea{
  width: 100%;
}

.oculto{
  display: none;
}

/*** boton formulario ****/
.contenedor-boton{
  width: 100%;
  margin-top: 1rem;
  display: flex;
  justify-content: center;
  align-items: center;
}

.contenedor-boton .boton-form{
  background-color: var(--blue);
  width: 60%;
  margin: 1rem 0;
  padding: 5px;
  border: 2px solid var(--white-color);
  border-radius: 10px;
  color: var(--black-color);
  font-size: 1.2rem;
}

.boton-form:hover{
  border: 2px solid var(--dark-blue);
  background-color: var(--dark-blue);
  color: var(--white-color); 
}



/***** footer ****/
.footer {
  text-align: center;
  padding-bottom: 3rem;
  padding-top: 2rem;
}
